package implement

import (
	"code.fnuoos.com/EggPlanet/egg_models.git/src/dao"
	"code.fnuoos.com/EggPlanet/egg_models.git/src/model"
	zhios_order_relate_utils "code.fnuoos.com/EggPlanet/egg_models.git/utils"
	zhios_order_relate_logx "code.fnuoos.com/EggPlanet/egg_models.git/utils/logx"
	"xorm.io/xorm"
)

func NewAdvertisingCallbackDb(engine *xorm.Engine) dao.AdvertisingCallbackDao {
	return &AdvertisingCallbackDb{Db: engine}
}

type AdvertisingCallbackDb struct {
	Db *xorm.Engine
}

func (a AdvertisingCallbackDb) FindAdvertisingCallbackAndTotal(page, limit, amount, uid, startTime, endTime, platform, types string) (*[]model.AdvertisingCallback, int64, error) {
	var m []model.AdvertisingCallback
	sess := a.Db.Where("1=1")
	if amount != "" {
		sess.And("amount<=?", amount)
	}
	if uid != "" {
		sess.And("uid=?", uid)
	}
	if platform != "" {
		sess.And("platform=?", platform)
	}
	if types != "" {
		sess.And("type=?", types)
	}
	if startTime != "" {
		sess.And("create_at>=?", startTime)
	}
	if endTime != "" {
		sess.And("create_at<=?", endTime)
	}
	start := (zhios_order_relate_utils.StrToInt(page) - 1) * zhios_order_relate_utils.StrToInt(limit)
	count, err := sess.Limit(zhios_order_relate_utils.StrToInt(limit), start).OrderBy("id desc").FindAndCount(&m)
	if err != nil {
		return nil, count, zhios_order_relate_logx.Error(err)
	}
	return &m, count, nil
}

func (a AdvertisingCallbackDb) AdvertisingCallbackCountBySession(session *xorm.Session, uid, startTime, endTime, types string) (int64, error) {
	var m []model.AdvertisingCallback
	sess := session.Where("1=1")
	if uid != "" {
		sess.And("uid=?", uid)
	}
	if types != "" {
		sess.And("type=?", types)
	}
	if startTime != "" {
		sess.And("create_at>=?", startTime)
	}
	if endTime != "" {
		sess.And("create_at<=?", endTime)
	}
	count, err := sess.Count(&m)
	if err != nil {
		return 0, err
	}
	return count, nil
}
