﻿package implement

import (
	"code.fnuoos.com/EggPlanet/egg_models.git/src/dao"
	"code.fnuoos.com/EggPlanet/egg_models.git/src/model"
	zhios_order_relate_logx "code.fnuoos.com/EggPlanet/egg_models.git/utils/logx"
	"xorm.io/xorm"
)

func NewEggAccessTotalDb(engine *xorm.Engine) dao.EggAccessTotalDao {
	return &EggAccessTotalDb{Db: engine}
}

type EggAccessTotalDb struct {
	Db *xorm.Engine
}

func (e EggAccessTotalDb) EggAccessTotalGetByPage(year, week, page, limit int) ([]model.EggAccessTotal, error) {
	var m []model.EggAccessTotal
	err := e.Db.Where("year = ?", year).And("week = ?", week).Limit(limit, (page-1)*limit).Find(&m)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err.Error())
	}
	return m, nil
}

func (e EggAccessTotalDb) EggAccessTotalAddOrDefault(uid int64, year, week int) (int64, error) {
	session := e.Db.NewSession()
	session.Begin()
	var m model.EggAccessTotal
	var affected int64
	exist, err := session.Where("uid = ?", uid).And("year = ?", year).And("week = ?", week).Get(&m)
	if err != nil {
		return 0, zhios_order_relate_logx.Error(err.Error())
	}
	if !exist {
		// 不存在则创建
		m.Total = 1
		m.Uid = uid
		m.Year = year
		m.Week = week
		affected, err = session.Insert(m)
		if err != nil {
			return 0, zhios_order_relate_logx.Error(err.Error())
		}
	} else {
		m.Total++
		affected, err = session.Where("id = ?", m.Id).MustCols("total").Update(m)
		if err != nil {
			return 0, zhios_order_relate_logx.Error(err.Error())
		}
	}
	session.Commit()
	return affected, nil
}
