package implement

import (
	"code.fnuoos.com/EggPlanet/egg_models.git/src/dao"
	"code.fnuoos.com/EggPlanet/egg_models.git/src/model"
	"xorm.io/xorm"
)

func NewPlatformTotalDataDb(engine *xorm.Engine) dao.PlatformTotalDataDao {
	return &PlatformTotalDataDb{Db: engine}
}

type PlatformTotalDataDb struct {
	Db *xorm.Engine
}

func (p PlatformTotalDataDb) PlatformTotalDataGetOneByTime(year string, month string) (*model.PlatformTotalData, error) {
	var m model.PlatformTotalData
	get, err := p.Db.Where("year = ?", year).And("month = ?", month).Get(&m)
	if err != nil {
		return nil, err
	}
	if !get {
		return nil, nil
	}
	return &m, nil
}

func (p PlatformTotalDataDb) PlatformTotalDataInsert(m *model.PlatformTotalData) (int64, error) {
	_, err := p.Db.InsertOne(m)
	if err != nil {
		return 0, err
	}
	return m.Id, nil
}

func (p PlatformTotalDataDb) PlatformTotalDataUpdate(m *model.PlatformTotalData, columns ...string) (int64, error) {
	affected, err := p.Db.Where("id =?", m.Id).Cols(columns...).Update(m)
	if err != nil {
		return 0, err
	}
	return affected, nil
}
